org.apache.maven.scm.providers.clearcase.settings

## Class Settings

- java.lang.Object
- - org.apache.maven.scm.providers.clearcase.settings.Settings

All Implemented Interfaces:
  Serializable

    public class Settings
    extends Object
    implements Serializable

Class Settings.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Settings()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getChangelogUserFormat()` Get the format of the USER pattern in lhistory command.
`String` `getClearcaseType()` Get are you using ClearCase LT or UCM version ?
`String` `getModelEncoding()` Get the modelEncoding field.
`String` `getViewstore()` Get clearcase viewstore path.
`boolean` `isUseVWSParameter()` Get do you want to use vws parameter when clearcase provider run mkview?
`void` `setChangelogUserFormat(String changelogUserFormat)` Set the format of the USER pattern in lhistory command.
`void` `setClearcaseType(String clearcaseType)` Set are you using ClearCase LT or UCM version ?
`void` `setModelEncoding(String modelEncoding)` Set the modelEncoding field.
`void` `setUseVWSParameter(boolean useVWSParameter)` Set do you want to use vws parameter when clearcase provider run mkview?
`void` `setViewstore(String viewstore)` Set clearcase viewstore path.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Settings

    public Settings()

### Method Detail

#### getChangelogUserFormat

    public String getChangelogUserFormat()

Get the format of the USER pattern in lhistory command. For example, it can be "-8.8".

Returns:
  String

#### getClearcaseType

    public String getClearcaseType()

Get are you using ClearCase LT or UCM version ?

Returns:
  String

#### getModelEncoding

    public String getModelEncoding()

Get the modelEncoding field.

Returns:
  String

#### getViewstore

    public String getViewstore()

Get clearcase viewstore path.

Returns:
  String

#### isUseVWSParameter

    public boolean isUseVWSParameter()

Get do you want to use vws parameter when clearcase provider run mkview?

Returns:
  boolean

#### setChangelogUserFormat

    public void setChangelogUserFormat(String changelogUserFormat)

Set the format of the USER pattern in lhistory command. For example, it can be "-8.8".

Parameters:
  `changelogUserFormat` -

#### setClearcaseType

    public void setClearcaseType(String clearcaseType)

Set are you using ClearCase LT or UCM version ?

Parameters:
  `clearcaseType` -

#### setModelEncoding

    public void setModelEncoding(String modelEncoding)

Set the modelEncoding field.

Parameters:
  `modelEncoding` -

#### setUseVWSParameter

    public void setUseVWSParameter(boolean useVWSParameter)

Set do you want to use vws parameter when clearcase provider run mkview?

Parameters:
  `useVWSParameter` -

#### setViewstore

    public void setViewstore(String viewstore)

Set clearcase viewstore path.

Parameters:
  `viewstore` -